std::__detail::_Compiler< _FwdIter, _TraitsT > Class Template Reference
Base and Implementation Classes

## Public Types

typedef regex_constants::syntax_option_type | _FlagT
typedef _NFA< _TraitsT > | _RegexT
typedef _TraitsT::string_type | _StringT

## Public Member Functions

| _Compiler (_FwdIter __b, _FwdIter __e, const _TraitsT &__traits, _FlagT __flags)
std::shared_ptr< _RegexT > | _M_get_nfa ()

## Detailed Description

### template<typename _FwdIter, typename _TraitsT>
class std::__detail::_Compiler< _FwdIter, _TraitsT >

Builds an NFA from an input iterator interval.

Definition at line 47 of file regex_compiler.h.

The documentation for this class was generated from the following files:

- regex_compiler.h
- regex_compiler.tcc